Get project import status

Poll the status of an asynchronous project import operation. **Usage:** 1. When you POST to `/api/projects/{project_id}/import`, you'll receive a response like `{"import": <import_id>}` 2. Use that `import_id` with this GET endpoint to check the import status 3. Poll this endpoint to see if the import has completed, is still processing, or has failed 4. **Import errors and failures will only be visible in this GET response**, not in the original POST request This endpoint returns detailed information about the import including task counts, status, and any error messages.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired
A unique integer value identifying this project import.
import_pkintegerRequired

Response

created_atdatetime or nullRead-only
Creation time
idintegerRead-only
updated_atdatetime or nullRead-only
Updated time
annotation_countinteger-2147483648-2147483647
commit_to_projectboolean
could_be_tasks_listboolean
data_columnsany
durationinteger-2147483648-2147483647
errorstring or null
file_upload_idsany
finished_atdatetime or null
Complete or fail time
found_formatsany
preannotated_from_fieldsany or null
prediction_countinteger-2147483648-2147483647
projectinteger or null
return_task_idsboolean
statusenum
* `created` - Created * `in_progress` - In progress * `failed` - Failed * `completed` - Completed
Allowed values:
task_countinteger-2147483648-2147483647
task_idsany
tasksany or null
urlstring or null<=2048 characters